jQuery(document).ready(function ($){
    $('#open_video').on('click', function (e){
        e.preventDefault();
        $('#inp_video').click();
    });
    $('#inp_video').on('change', function (){
        if(this.files.length > 0){
            $('.loader').addClass('loading')
            var file_data = $('#inp_video').prop('files')[0];
            var form_data = new FormData();
            form_data.append('file', file_data);
            form_data.append('action', 'admin_upload_files');
            form_data.append('nonce' , ethan_admin.nonce )
            $.ajax({
                url: ethan_admin.ajaxurl,
                type: 'POST',
                data: form_data,
                contentType: false,
                processData: false,
                success: function (response) {
                    $('.loader').removeClass('loading')
                    var data = JSON.parse(response)
                    if(data.success){
                        $('[name=video_link]').val(data.url)
                        $('.name_video').text(data.name);
                    }else{
                        alert(data.msg)
                    }

                },
                error: function (error) {
                    $('.loader').removeClass('loading')
                    console.error('Lỗi:', error);
                }
            })
        }
    });
})